ActionMessage (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionMessage

    java.lang.Object
      org.apache.struts.action.ActionMessage

All Implemented Interfaces:
  Serializable

    public class ActionMessage

extends Object
implements Serializable

An encapsulation of an individual message returned by the `validate` method of an `ActionForm`, consisting of a message key (to be used to look up message text in an appropriate message resources database) plus up to four placeholder objects that can be used for parametric replacement in the message text.

Since:
  Struts 1.1
Version:
  $Rev: 471754 $ $Date: 2005-05-14 01:09:32 -0400 (Sat, 14 May 2005) $
See Also:
  Serialized Form

Field Summary
`protected String` | `key` The message key for this message.
`protected boolean` | `resource` Indicates whether the key is taken to be as a bundle key [true] or literal value [false].
`protected Object[]` | `values` The replacement values for this mesasge.

Constructor Summary
`ActionMessage(String key)` Construct an action message with no replacement values.
`ActionMessage(String key, boolean resource)` Construct an action message with the specified replacement values.
`ActionMessage(String key, Object value0)` Construct an action message with the specified replacement values.
`ActionMessage(String key, Object[] values)` Construct an action message with the specified replacement values.
`ActionMessage(String key, Object value0, Object value1)` Construct an action message with the specified replacement values.
`ActionMessage(String key, Object value0, Object value1, Object value2)` Construct an action message with the specified replacement values.
`ActionMessage(String key, Object value0, Object value1, Object value2, Object value3)` Construct an action message with the specified replacement values.

Method Summary
`String` | `getKey()` Get the message key for this message.
`Object[]` | `getValues()` Get the replacement values for this message.
`boolean` | `isResource()` Indicate whether the key is taken to be as a bundle key [true] or literal value [false].
`String` | `toString()` Returns a String in the format: key[value1, value2, etc].

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### key

    protected String key

  The message key for this message.

### values

    protected Object[] values

  The replacement values for this mesasge.

### resource

    protected boolean resource

  Indicates whether the key is taken to be as a bundle key [true] or literal value [false].

Constructor Detail

### ActionMessage

    public ActionMessage(String key)

  Construct an action message with no replacement values.

  Parameters:
    `key` - Message key for this message

### ActionMessage

    public ActionMessage(String key,
                         Object value0)

  Construct an action message with the specified replacement values.

  Parameters:
    `key` - Message key for this message
    `value0` - First replacement value

### ActionMessage

    public ActionMessage(String key,
                         Object value0,
                         Object value1)

  Construct an action message with the specified replacement values.

  Parameters:
    `key` - Message key for this message
    `value0` - First replacement value
    `value1` - Second replacement value

### ActionMessage

    public ActionMessage(String key,
                         Object value0,
                         Object value1,
                         Object value2)

  Construct an action message with the specified replacement values.

  Parameters:
    `key` - Message key for this message
    `value0` - First replacement value
    `value1` - Second replacement value
    `value2` - Third replacement value

### ActionMessage

    public ActionMessage(String key,
                         Object value0,
                         Object value1,
                         Object value2,
                         Object value3)

  Construct an action message with the specified replacement values.

  Parameters:
    `key` - Message key for this message
    `value0` - First replacement value
    `value1` - Second replacement value
    `value2` - Third replacement value
    `value3` - Fourth replacement value

### ActionMessage

    public ActionMessage(String key,
                         Object[] values)

  Construct an action message with the specified replacement values.

  Parameters:
    `key` - Message key for this message
    `values` - Array of replacement values

### ActionMessage

    public ActionMessage(String key,
                         boolean resource)

  Construct an action message with the specified replacement values.

  Parameters:
    `key` - Message key for this message
    `resource` - Indicates whether the key is a bundle key or literal value

Method Detail

### getKey

    public String getKey()

  Get the message key for this message.

  Returns:
    The message key for this message.

### getValues

    public Object[] getValues()

  Get the replacement values for this message.

  Returns:
    The replacement values for this message.

### isResource

    public boolean isResource()

  Indicate whether the key is taken to be as a bundle key [true] or literal value [false].

  Returns:
    `true` if the key is a bundle key; `false` otherwise.

### toString

    public String toString()

  Returns a String in the format: key[value1, value2, etc].

  Overrides:
    `toString` in class `Object`
  Returns:
    String representation of this message
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.